#!/bin/sh

# casova_rce_zem_delka.sh
# Spusteni skriptu pro tvorbu tabulky casove rovnice a korekce o delku, volano ze shc.php.
# Miroslav Broz (miroslav.broz@email.cz), Jul 17th 2007

TMP=$1
cd $TMP

DIR=../../../shc
PATH=$DIR:$PATH
TEX=csplain; export TEX

FILE=casova_rce_zem_delka

for F in casova_rce_zem_delka1.mp casova_rce_zem_delka2.mp mbmac.mp mbmac.tex ; do
  ln -s $DIR/$F
done

sunah < $FILE.in > $FILE.out
$FILE.awk < $FILE.out > $FILE.dat
gnuplot $DIR/$FILE.plt

for I in 1 2 ; do
  mpost $FILE$I
  mptopdf $FILE$I.1
done

cd ../..
chmod -f -R og+w $TMP

exit


